org.crosswire.jsword.index.lucene.analysis

## Class XRefAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.crosswire.jsword.index.lucene.analysis.AbstractBookAnalyzer
    - - org.crosswire.jsword.index.lucene.analysis.XRefAnalyzer

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class XRefAnalyzer
      extends AbstractBookAnalyzer

  A specialized analyzer that normalizes Cross References.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    - ### Fields inherited from class org.crosswire.jsword.index.lucene.analysis.AbstractBookAnalyzer

      `book, doStemming, doStopWords, stopSet`

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `overridesTokenStreamMethod`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XRefAnalyzer()` Construct a default XRefAnalyzer.
    `XRefAnalyzer(Book book)` Construct an XRefAnalyzer tied to a book.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.analysis.TokenStream` | `reusableTokenStream(String fieldName, Reader reader)`
    `org.apache.lucene.analysis.TokenStream` | `tokenStream(String fieldName, Reader reader)`

    - ### Methods inherited from class org.crosswire.jsword.index.lucene.analysis.AbstractBookAnalyzer

      `getBook, getDoStopWords, setBook, setDoStemming, setDoStopWords, setStopWords`

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setOverridesTokenStreamMethod, setPreviousTokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XRefAnalyzer

          public XRefAnalyzer()

      Construct a default XRefAnalyzer.

    - #### XRefAnalyzer

          public XRefAnalyzer(Book book)

      Construct an XRefAnalyzer tied to a book.
      Parameters:
        `book` - the book

  - ### Method Detail

    - #### tokenStream

          public org.apache.lucene.analysis.TokenStream tokenStream(String fieldName,
                                                           Reader reader)

      Specified by:
        `tokenStream` in class `org.apache.lucene.analysis.Analyzer`

    - #### reusableTokenStream

          public org.apache.lucene.analysis.TokenStream reusableTokenStream(String fieldName,
                                                                   Reader reader)
                                                                     throws IOException

      Overrides:
        `reusableTokenStream` in class `org.apache.lucene.analysis.Analyzer`
      Throws:
        `IOException`